%global debug_package %{nil}

Name:           lazygit
Version:        0.16.2
Release:        1%{?dist}
Epoch:          1
Summary:        Simple terminal UI for git commands

License:        MIT
URL:            https://github.com/jesseduffield/lazygit
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  git-core
BuildRequires:  go-md2man
BuildRequires:  golang >= 1.12

%description
A simple terminal UI for git commands, written in Go with the gocui library.

Rant time: You've heard it before, git is powerful, but what good is that power
when everything is so damn hard to do? Interactive rebasing requires you to edit
a goddamn TODO file in your editor? Are you kidding me? To stage part of a file
you need to use a command line program stepping through each hunk and if ahunk
can't be split down any further but contains code you don't want to stage, bad
luck? Are you KIDDING me?! Sometimes you get asked to stash your changes when
switching branches only to realise that after you switch and unstash that there
weren't even any conflicts and it would have been fine to just checkout the
branch directly? YOU HAVE GOT TO BE KIDDING ME!

If you're a mere mortal like me and you're tired of hearing how powerful git is
when in your daily life it's a powerful pain in your ass, lazygit might be for
you.


%prep
%autosetup -p1


%build
go get
go build                                    \
    -ldflags "-X main.version=%{version}"   \
    -o _build/%{name}

# Man page
go-md2man -in README.md -out %{name}.1


%install
install -Dp -m 0755 _build/%{name} %{buildroot}%{_bindir}/%{name}

# Man page
install -Dp -m 0644 %{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1


%files
%license LICENSE
%doc README.md CONTRIBUTING.md docs/
%{_bindir}/%{name}
%{_mandir}/man1/*


%changelog
* Thu Mar 26 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1:0.16.2-1
- Downgrade for CentOS | https://github.com/jesseduffield/lazygit/issues/719

* Thu Mar 26 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.18-1
- Update to 0.18

* Mon Mar 23 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.17.4-1
- Update to 0.17.4

* Sun Mar 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.17.3-1
- Update to 0.17.3

* Thu Mar 19 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.17.0-1
- Update to 0.17.0

* Wed Mar 04 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.16.2-1
- Update to 0.16.2

* Fri Feb 28 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.15.6-1
- Update to 0.15.6

* Tue Feb 25 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.15.3-1
- Update to 0.15.3

* Wed Feb 19 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.14.4-1
- Update to 0.14.4

* Fri Feb 14 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.14.3-1
- Update to 0.14.3

* Thu Feb 06 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.14.2-1
- Update to 0.14.2

* Fri Jan 10 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13-1
- Update to 0.13

* Wed Jan 08 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.3-1
- Update to 0.12.3

* Thu Dec 05 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.3-1
- Initial package
